/*
 * @Author: yuananting
 * @Date: 2021-08-06 17:32:41
 * @LastEditors: yuananting
 * @LastEditTime: 2021-08-13 18:07:06
 * @Description: 任务中心-培训任务接口
 * @Copyrigh: © 2020 杭州杰竞科技有限公司 版权所有
 * @@Copyrigh: © 2020 杭州杰竞科技有限公司 版权所有
 */
import {
  getTrainingTaskPage,
  getStoreTaskNum,
  createTrainingExam,
  createTrainingTask,
  updateIssueStateTraining,
  deleteTrainingTask,
  getTrainingTaskDetail,
  updateTrainingTask,
  getTaskCustomerDetail,
  updateTrainingTaskAssign,
} from '@/data-source/taskCenter/request-apis';

export default class TaskCenterService {
  // 获取培训任务列表
  static getTrainingTaskPage(params: any) {
    return getTrainingTaskPage(params);
  }

  // 获取学院任务数量
  static getStoreTaskNum(params: any) {
    return getStoreTaskNum(params);
  }

  // 培训任务创建考试
  static createTrainingExam(params: any) {
    return createTrainingExam(params);
  }

  // 企培创建培训任务
  static createTrainingTask(params: any) {
    return createTrainingTask(params);
  }

  // 发布/取消发布培训任务
  static updateIssueStateTraining(params: any) {
    return updateIssueStateTraining(params);
  }

  // 删除培训任务
  static deleteTrainingTask(params: any) {
    return deleteTrainingTask(params);
  }

  // 获取培训任务详情
  static getTrainingTaskDetail(params: any) {
    return getTrainingTaskDetail(params);
  }

  // 修改培训任务
  static updateTrainingTask(params: any) {
    return updateTrainingTask(params);
  }

  // 获取单个任务单个学员的学习进度详情
  static getTaskCustomerDetail(params: any) {
    return getTaskCustomerDetail(params);
  }

  // 修改培训任务的指派信息
  static updateTrainingTaskAssign(params: any) {
    return updateTrainingTaskAssign(params);
  }
}
